Bug 112520 - Fedora Core 1 uses type f for extended partitions
Fedora Core 1 uses type f for extended partitions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-21 22:57 EST by Greg Morgan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-21 23:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2003-12-21 22:57:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20021003

Description of problem:
I have installed Red Hat 7.0, 7.1, 7.2, 7.3 and 8.0.  In all of these
I was able to used fdisk while partitioning.  In Fedora Core 1 I could
not use this tool.  So I used the gui tool in anaconda.  In all of my
other installs the extended partition was marked with type 5.  In the
fedora install it was marked as type f.  Is this correct?  Also note
that I use multiple partitions or more than the default used by the
automatic partitioning of server or workstation.  For example my 8.0
samba/nfs server has this partition scheme on a 120 gig drive.

Disk /dev/hda: 255 heads, 63 sectors, 15017 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1        24    192748+  83  Linux
/dev/hda2            25     15017 120431272+   5  Extended
/dev/hda5            25       285   2096451   82  Linux swap
/dev/hda6           286       416   1052226   83  Linux
/dev/hda7           417       678   2104483+  83  Linux
/dev/hda8           679       774    771088+  83  Linux
/dev/hda9           775      2496  13831933+  83  Linux
/dev/hda10         2497      3771  10241406   83  Linux
/dev/hda11         3772      6320  20474811   83  Linux
/dev/hda12         6321      7876  12498538+  83  Linux
/dev/hda13         7877     15017  57360051   83  Linux

The fedora install had this scheme using the GUI tools
Command (m for help): 
Disk /dev/hda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/boot /dev/hda1   *         1        20    160618+  83  Linux
/home /dev/hda2            21      6423  51432097+  83  Linux
/usr  /dev/hda3          6424      7759  10731420   83  Linux
      /dev/hda4          7760     14593  54894105    f  Win95 Ext'd (LBA)
swap  /dev/hda5          7760      8020   2096451   82  Linux swap
/tmp  /dev/hda6          8021      8281   2096451   83  Linux
/     /dev/hda7          8282      8412   1052226   83  Linux
/var  /dev/hda8          8413     14593  49648851   83  Linux

df -h

Filesystem            Size  Used Avail Use% Mounted on
/dev/hda7            1012M  149M  812M  16% /
/dev/hda1             152M  6.2M  138M   5% /boot
/dev/hda2              49G   34M   46G   1% /home
none                  505M     0  505M   0% /dev/shm
/dev/hda6             2.0G   35M  1.9G   2% /tmp
/dev/hda3              11G  5.0G  4.7G  52% /usr
/dev/hda8              47G  173M   45G   1% /var


I am uncomfortable with the "Win95 Ext'd (LBA)" partition being selected.


Version-Release number of selected component (if applicable):
fedora core 1

How reproducible:
Always  ( It happened the two times I installed core 1 on the drive)

Steps to Reproduce:
1.Start install
2.Perform manual partitioning
3.Create a partion for /, /var, /home, /tmp, /boot, swap, and /usr
    

Actual Results:  

Disk /dev/hda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/boot /dev/hda1   *         1        20    160618+  83  Linux
/home /dev/hda2            21      6423  51432097+  83  Linux
/usr  /dev/hda3          6424      7759  10731420   83  Linux
      /dev/hda4          7760     14593  54894105    f  Win95 Ext'd (LBA)
swap  /dev/hda5          7760      8020   2096451   82  Linux swap
/tmp  /dev/hda6          8021      8281   2096451   83  Linux
/     /dev/hda7          8282      8412   1052226   83  Linux
/var  /dev/hda8          8413     14593  49648851   83  Linux



Expected Results:  

Disk /dev/hda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/boot /dev/hda1   *         1        20    160618+  83  Linux
/home /dev/hda2            21      6423  51432097+  83  Linux
/usr  /dev/hda3          6424      7759  10731420   83  Linux
      /dev/hda4          7760     14593  54894105    5  Extended all 
 <--- use type 5 for extended.
swap  /dev/hda5          7760      8020   2096451   82  Linux swap
/tmp  /dev/hda6          8021      8281   2096451   83  Linux
/     /dev/hda7          8282      8412   1052226   83  Linux
/var  /dev/hda8          8413     14593  49648851   83  Linux



Additional info:

I am not sure if this is a bug or something I need to get used to.
Comment 1 Jeremy Katz 2003-12-21 23:05:20 EST
This is correct (the difference is minor, but for larger drives, you
really do want the LBA form to avoid problems with some OS's)
Comment 2 Greg Morgan 2003-12-21 23:36:20 EST
Ok.  Thanks for the information.  So I want type f, Win 95 LBA to
avoid problems with some OS's.  If fedora is the only OS on the box,
do I really care about the other OS's?  Or type f is best for all
installs should a person be dual booting with A win platform.
Comment 3 sfarwell 2004-03-25 10:25:59 EST
I have seen the same problem with Redhat 7.2 & 7.3.  It is causing my 
bare disk recovery program to fail.  When I change the type to "5" 
then my bare disk recovery program works fine. (mondoarchive)

Note You need to log in before you can comment on or make changes to this bug.